Bug 518936 - vm with sourceless cdrom fails to start
Summary: vm with sourceless cdrom fails to start
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-24 09:17 UTC by Aleksander Trofimowicz
Modified: 2010-03-16 17:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-11 15:04:32 UTC


Attachments (Terms of Use)
check whether src is not null, then insert the file directive (704 bytes, text/plain)
2009-08-24 09:17 UTC, Aleksander Trofimowicz
no flags Details

Description Aleksander Trofimowicz 2009-08-24 09:17:30 UTC
Created attachment 358427 [details]
check whether src is not null, then insert the file directive

Description of problem:
qemu-kvm no longer accepts '-drive' option in the following form 'file=,if=...' with 'file' sub-option pointing to nowhere.
consequently a vm fails to start. 

Version-Release number of selected component (if applicable):
qemu-kvm head: bee37f32d47a6c04ff57d18e01cf296607e22b30
libvirt head: 777fc2e9d60844a7387355d9cef06bd25190d146

How reproducible:

always

Steps to Reproduce:
1. define a vm with cdrom drive
2. disconnect it from any source
3. try to start the vm
  
Actual results:

fails to start

Expected results:
runs smoothly

Additional info:

a quick fix attached

Comment 1 Daniel Berrangé 2010-02-11 15:04:32 UTC
This is fixed in the 0.7.6 release


Note You need to log in before you can comment on or make changes to this bug.